> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bitrace.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Watchlist Change Detail

> retrieveWatchlistChangeDetail - This endpoint retrieves the detailed field-level changes of a watchlist address on a specific date.



## OpenAPI

````yaml GET /api/v1/tracker/address/watchlist/changes/detail
openapi: 3.0.3
info:
  title: Bitrace AML API
  description: >-
    Bitrace AML API provides comprehensive blockchain and crypto compliance
    tools for real-time risk detection capabilities. The API enables scrutiny of
    crypto transactions, wallet addresses, and crypto tokens with precision and
    efficiency.
  version: 1.0.0
  contact:
    name: Bitrace Support
    email: support@bitrace.io
servers:
  - url: https://api.bitrace.io
    description: Production server
security:
  - apiKeyAuth: []
tags:
  - name: KYA (Know Your Address)
    description: Address risk assessment and entity identification
  - name: KYT (Know Your Transaction)
    description: Transaction monitoring and compliance
  - name: Account API
    description: Account usage and management APIs
  - name: Address Management
    description: Address management on the blacklist, whitelist and watchlist
paths:
  /api/v1/tracker/address/watchlist/changes/detail:
    get:
      tags:
        - Address Management
      summary: Retrieve Watchlist Change Detail
      description: >-
        retrieveWatchlistChangeDetail - This endpoint retrieves the detailed
        field-level changes of a watchlist address on a specific date.
      parameters:
        - name: Content-Type
          in: header
          required: false
          schema:
            type: string
            default: application/json
            enum:
              - application/json
        - name: Accept
          in: header
          required: false
          schema:
            type: string
            default: application/json
            enum:
              - application/json
        - name: network
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/Network'
          description: The blockchain network
        - name: address
          in: query
          required: true
          schema:
            type: string
          description: The blockchain address
        - name: date
          in: query
          required: true
          schema:
            type: string
            example: '2026-06-25'
          description: The date of the changes to retrieve (yyyy-MM-dd)
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WatchlistChangeDetailGetResponse'
              example:
                success: true
                code: 1
                status: SUCCESS
                data:
                  chain: eth
                  address: '0x187c9fBF5bd0f266883c03f320260C407c7B4100'
                  changes:
                    - changeType: risk_add
                      field: risk
                      added:
                        - riskLevel: high
                          riskType: scam
                    - changeType: risk_level_up
                      field: risk_level
                      before:
                        - riskType: scam
                          riskLevel: medium
                      after:
                        - riskType: scam
                          riskLevel: high
                msg: SUCCESS
        '400':
          description: Bad Request - Invalid input
          content:
            application/json:
              example:
                msg: Change detail not found
                code: 1001
                success: false
                timestamp: 1776843774
                status: FAIL
        '401':
          $ref: '#/components/responses/Unauthorized'
        '429':
          $ref: '#/components/responses/RateLimit'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    Network:
      type: string
      enum:
        - ethereum
        - eth
        - tron
        - btc
        - bsc
        - polygon
        - arbitrum
        - optimism
        - avalanche
        - base
        - zksync
        - merlin
        - kaia
        - iotex
        - ftm
        - theta
        - etc
        - lumia
        - solana
        - doge
        - ltc
      description: Supported blockchain networks
    WatchlistChangeDetailGetResponse:
      allOf:
        - $ref: '#/components/schemas/BaseResponse'
        - type: object
          properties:
            data:
              $ref: '#/components/schemas/WatchlistChangeDetail'
            status:
              type: string
    BaseResponse:
      type: object
      properties:
        success:
          type: boolean
          description: Request success or not
        code:
          type: integer
          description: Response code (1 for success, other numbers for errors)
        msg:
          type: string
          description: SUCCESS or error message
    WatchlistChangeDetail:
      type: object
      properties:
        chain:
          type: string
          description: The blockchain network
          example: eth
        address:
          type: string
          description: The blockchain address
          example: '0x187c9fBF5bd0f266883c03f320260C407c7B4100'
        changes:
          type: array
          items:
            $ref: '#/components/schemas/WatchlistChangeEntry'
          description: The field-level changes
    Error:
      type: object
      properties:
        success:
          type: boolean
          description: Request success or not
          default: false
        code:
          type: integer
        msg:
          type: string
        status:
          type: string
    WatchlistChangeEntry:
      type: object
      properties:
        changeType:
          allOf:
            - $ref: '#/components/schemas/WatchlistChangeType'
          description: The type of change
        field:
          type: string
          enum:
            - whitelist
            - blacklist
            - entity
            - risk
            - risk_level
            - sanction_list
            - frozen_list
          description: The field that changed
        before:
          type: array
          nullable: true
          items: {}
          description: The field value before the change
        after:
          type: array
          nullable: true
          items: {}
          description: The field value after the change
        added:
          type: array
          nullable: true
          items: {}
          description: The items added by the change
        removed:
          type: array
          nullable: true
          items: {}
          description: The items removed by the change
    WatchlistChangeType:
      type: string
      enum:
        - white_list_add
        - white_list_remove
        - black_list_add
        - black_list_remove
        - entity_add
        - entity_remove
        - risk_add
        - risk_remove
        - risk_level_up
        - risk_level_down
        - sanction_list_add
        - sanction_list_remove
        - frozen_list_add
        - frozen_list_remove
      description: The type of change detected on a watchlist address
  responses:
    Unauthorized:
      description: Unauthorized - Incorrect API key provided
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    RateLimit:
      description: Too Many Requests - Rate limit reached or quota exceeded
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    InternalServerError:
      description: Internal Server Error - We had a problem with our server
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-Access-Key
      description: API key authentication

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.